Summary: Library for manipulation with Enhanced MetaFile (EMF, ECMA-234)
Name: libEMF
Version: 1.0
Release: 4
License: LGPL
Group: System Environment/Libraries
Source: http://cesnet.dl.sourceforge.net/sourceforge/libemf/%{name}-%{version}.tar.bz2
Patch: libEMF-gcc3-fix.diff
URL: http://libemf.sourceforge.net
Vendor: Allen Barnett <libemf@lignumcomputing.com>
BuildRoot: %{_tmppath}/%{name}-%{version}-root

%package devel
Group: Development/Libraries
Summary: Development files for libEMF
Requires: %{name} = %{version}

%description
LibEMF is a C/C++ library which provides a drawing toolkit based on
ECMA-234. The general purpose of this library is to create vector
graphics files on POSIX systems which can be imported into
StarOffice/OpenOffice. The Enhanced MetaFile (EMF) is one of the two
color vector graphics format which is "vectorially" understood by
SO/OO. The EMF format also has the additional advantage that it can be
"broken" into its constituent components and edited like any other
SO/OO graphics object.

%description devel
Development files for libEMF

%prep
%setup
%patch -p1

%build
%configure
make

%install
rm -rf %{buildroot}
%makeinstall

%post
/sbin/ldconfig

%postun
/sbin/ldconfig

%clean
rm -rf %{buildroot}

%files
%defattr(0644,root,root,0755)
%doc AUTHORS COPYING COPYING.LIB ChangeLog NEWS README
%attr(0755,root,root) %{_bindir}/*
%attr(0755,root,root) %{_libdir}/*.so*

%files devel
%defattr(0644,root,root,0755)
%doc doc/html
%{_includedir}/libEMF
%{_libdir}/*.*a
